{% load pages_tags %}
{% spaceless %}
{% if page_branch_in_menu %}

{% if branch_level == 0 %}
<ul class="nav navbar-nav">
    {% for page in page_branch %}
    {% if page.in_menu %}

    <li class="dropdown{% if not page.has_children_in_menu %}dropdown-nochild{% endif %}">
       {# You have to click on it to unroll the dropdown.  #}
       {# It unroll on hover and go to the page on click. #}
       {# Still to be defined properly. #}
    <a href="{{ page.get_absolute_url }}" >
        {{ page.title }}
    </a>
    {% if page.has_children_in_menu %}
        {% page_menu page %}
    {% endif %}
    </li>
    {% endif %}
    {% endfor %}
</ul>

{% endif %}

{% if branch_level > 0 %}
<ul class="dropdown-menu dropdown-menu-left">
    {% for page in page_branch %}
        {% if page.in_menu %}
        <li{% if page.has_children_in_menu %} class="dropdown-submenu"{% endif %}>
            {% if page.has_children_in_menu %}
                <a href="{{ page.get_absolute_url }}" class="has_children">{{ page.title }}</a>
                {% page_menu page %}
            {% else %}
                <a href="{{  page.get_absolute_url  }}">{{ page.title }}</a>
            {% endif %}
            </li>
        {% endif %}
    {% endfor %}
</ul>
{% endif %}

{% endif %}
{% endspaceless %}            
